Package gloobus-sushi will remove ubuntu-gnome-desktop as well

Bug #1408214 reported by adit on 2015-01-07
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gloobus-preview
Undecided
Alin Andrei
ubuntu-gnome-meta (Ubuntu)
Undecided
Unassigned

Bug Description

I'm using ubuntu gnome 14.10 and gnome shell 3.14.3, the first time I tried to install gloobus-sushi after gloobus-preview package will also remove ubuntu-gnome-desktop package. Check attachment for screenshot.

adit (aditiapratama) wrote :
tags: added: 14.10
Balló György (ballogy) wrote :

I think you're probably using the WebUpd8 PPA, so I'm assigning this bug to Andrew.

Changed in gloobus-preview:
assignee: nobody → Alin Andrei (nilarimogard)
Alin Andrei (nilarimogard) wrote :

Hmmm gloobus-sushi doesn't work if gnome-sushi is installed so the gloobus-sushi package has this:
Conflicts: gnome-sushi
Replaces: gnome-sushi

Which removes gnome-sushi when gloobus-sushi is installed. Unfortunately that's the way it works... I assume "ubuntu-gnome-desktop" is a meta package (which depends on gnome-sushi) so it shouldn't be a problem removing it though of course, that's not ideal, but I don't know how else this could be solved.

Also, where does the "ubuntu-gnome-desktop" package comes from? It's not in the official Ubuntu repositories and I can't find it in the GNOME 3 PPAs either. What's the output of "apt-cache policy ubuntu-gnome-desktop"?

adit (aditiapratama) wrote :

Hi Andrei,

Here's the output of apt-cache

ubuntu-gnome-desktop:
  Installed: 0.34
  Candidate: 0.34
  Version table:
 *** 0.34 0
        500 http://archive.ubuntu.com/ubuntu/ utopic/universe amd64 Packages
        100 /var/lib/dpkg/status

Alin Andrei (nilarimogard) wrote :

Ah, yes, it is from the Ubuntu repos. Sorry, my bad.

I checked the package and indeed, it depends (doesn't just simply recommends) gnome-sushi. Which is weird, for instance, the ubuntu-desktop meta-package doesn't enforce depends and you can remove non-important apps installed by default without removing the meta package.

Unfortunately, this means that you can't install gloobus-preview without removing gnome-sushi and thus, ubuntu-gnome-desktop. This can only be fixed by the Ubuntu GNOME devs, by moving gnome-sushi from "depends" to "recommends".

no longer affects: ubuntu-gnome-meta (Ubuntu)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers